%define major 0
%define libname %mklibname natspec %{major}
%define develname %mklibname natspec -d

Name: libnatspec
Version: 0.3.1
Release: %mkrel 4
License: LGPLv2
Group: System/Libraries
Url: https://github.com/vitlav/libnatspec
Summary: Library for national and language-specific issues
Source0: %{name}-%{version}.tar
BuildRequires: pkgconfig(popt)

%description
Library for national and language-specific issues.
This library provides useful functions for
mount, submount, mkisofs, multimedia players.
This library tries to help resolve charset hell (encoding problems)
in various programs depending on locale and messages.

%package -n %{libname}
Summary: Library for national and language-specific issues
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
Library for national and language-specific issues.
This library provides useful functions for
mount, submount, mkisofs, multimedia players.
This library tries to help resolve charset hell (encoding problems)
in various programs depending on locale and messages.

%package -n %{develname}
Summary: Development package of library for national and language-specific issues
Group: Development/Other
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains the necessary include files
for developing applications with %{name}
This library tries to help resolve charset hell (encoding problems)
in various programs depending on locale and messages.

%package devel-examples
Summary: Examples of %{name} using
Group: Documentation

%description devel-examples
The %{name}-devel package contains examples of patches
for developing applications with %{name}

%prep
%setup -q

%build
autoreconf -fi
%configure
%make_build

%install
%make_install
rm -rf %{buildroot}%{_docdir}

# remove *.la files
find %{buildroot}%{_libdir} -type f -name "*.la" -delete -print

%files -n %{libname}
%doc AUTHORS README.md ChangeLog NEWS TODO README-ru.html
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%{_bindir}/*
%{_mandir}/man1/natspec*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*

%files devel-examples
%doc examples profile


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.3.1-4.mga8
+ Revision: 1514290
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3.1-3.mga7
+ Revision: 1299027
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Mon Feb 15 2016 umeabot <umeabot> 0.3.1-2.mga6
+ Revision: 961116
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 alexl <alexl> 0.3.1-1.mga6
+ Revision: 899193
- version 0.3.1
- new url
- devel package without html docs
- cleanup spec

* Wed Oct 15 2014 umeabot <umeabot> 0.2.6-4.mga5
+ Revision: 742391
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.2.6-3.mga5
+ Revision: 725103
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.6-2.mga5
+ Revision: 681631
- Mageia 5 Mass Rebuild

* Sat Mar 29 2014 alexl <alexl> 0.2.6-1.mga5
+ Revision: 609278
- fix descriptions
- imported package libnatspec

